View Issue Details

IDProjectCategoryView StatusLast Update
0003928SymmetricDSImprovementpublic2019-05-01 13:42
ReportermmichalekAssigned Tommichalek 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.0 
Target Version3.9.20Fixed in Version3.9.20 
Summary0003928: Improve logging of offline scenarios
DescriptionIn some cases, it's not clear why the node can't communicate. This change will log the exception toString() instead of just the message as sometimes you need the type + the message to understand the meaning of the exception.

E.g.
2019-04-27 12:35:26,732 WARN [client] [PullService] [client-pull-default-4] Could not communicate with server:server:server at https://hostname.com:31417/sync/server because: hostname.com
TagsNo tags attached.

Relationships

related to 0003929 closedmmichalek Improve logging of offline scenarios (3.10) 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 e6fab465

2019-04-29 15:20:08

mmichalek

Details Diff
0003928: Improve logging of offline scenarios
0003928
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AbstractOfflineDetectorService.java Diff File

Issue History

Date Modified Username Field Change
2019-04-29 13:43 mmichalek New Issue
2019-04-29 13:43 mmichalek Status new => assigned
2019-04-29 13:43 mmichalek Assigned To => mmichalek
2019-04-29 15:20 mmichalek Issue cloned: 0003929
2019-04-29 15:20 mmichalek Relationship added related to 0003929
2019-04-29 15:29 mmichalek Status assigned => resolved
2019-04-29 15:29 mmichalek Resolution open => fixed
2019-04-29 15:29 mmichalek Fixed in Version => 3.9.20
2019-04-29 16:00 mmichalek Changeset attached => SymmetricDS 3.9 e6fab465
2019-05-01 13:42 mmichalek Status resolved => closed